let uid = 0;
/** @internal */
export let debugOut = getDebug(false);
export function getDebug(verbose) {
    if (verbose === 1) {
        return console.log.bind(console);
    }
    return verbose ? prefixedError(uid++) : () => { };
}
function prefixedError(id) {
    const title = `[${id.toFixed(0)}]`;
    return (msg, ...args) => {
        if (typeof msg === 'string') {
            console.error(title + ' ' + msg, ...args);
        }
        else {
            console.error(title, msg, ...args);
        }
    };
}
//# sourceMappingURL=debug.js.map