import { isExportDeclaration, isImportDeclaration, isStringLiteral } from 'typescript';
export function isImportExport(node) {
    if (!isImportDeclaration(node) && !isExportDeclaration(node))
        return false;
    if (node.moduleSpecifier === undefined)
        return false;
    // only when module specifier is valid
    if (!isStringLiteral(node.moduleSpecifier))
        return false;
    return true;
}
//# sourceMappingURL=isImportExport.js.map